From fc466ec11a9b829499646c2290109fcd30a80586 Mon Sep 17 00:00:00 2001
From: Stephanie Buser <sbuser@codeaurora.org>
Date: Fri, 5 May 2017 10:46:36 -0700
Subject: [PATCH 11/22] usb-serial: Enable TTY ports for MDM 9025

Enable option driver to claim functions 0 and 2 of
composite USB function and expose it as a tty port.
Port 0 is diag function and port 1 is legacy modem function.
---
 drivers/usb/serial/option.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/drivers/usb/serial/option.c b/drivers/usb/serial/option.c
index c8c4e50..fa8e907 100644
--- a/drivers/usb/serial/option.c
+++ b/drivers/usb/serial/option.c
@@ -1105,6 +1105,8 @@ static const struct usb_device_id option_ids[] = {
 	{ USB_DEVICE(QUALCOMM_VENDOR_ID, 0x6613)}, /* Onda H600/ZTE MF330 */
 	{ USB_DEVICE(QUALCOMM_VENDOR_ID, 0x0023)}, /* ONYX 3G device */
 	{ USB_DEVICE(QUALCOMM_VENDOR_ID, 0x9000)}, /* SIMCom SIM5218 */
+	{USB_DEVICE_INTERFACE_NUMBER(QUALCOMM_VENDOR_ID, 0x9025, 0)},   /* Qualcomm MDM Diag Port*/
+	{USB_DEVICE_INTERFACE_NUMBER(QUALCOMM_VENDOR_ID, 0x9025, 2)},   /* Qualcomm MDM Legacy Modem Port*/
 	{ USB_DEVICE_INTERFACE_CLASS(SIERRA_VENDOR_ID, 0x68c0, 0xff),
 	  .driver_info = (kernel_ulong_t)&sierra_mc73xx_blacklist }, /* MC73xx */
 	{ USB_DEVICE(CMOTECH_VENDOR_ID, CMOTECH_PRODUCT_6001) },
-- 
1.8.2.1

